Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.control.mqseries
Enum MQSeriesConnectionType

    java.lang.Object
      java.lang.Enum<MQSeriesConnectionType>
          com.bea.wli.control.mqseries.MQSeriesConnectionType

All Implemented Interfaces:
  Serializable, Comparable<MQSeriesConnectionType>

    public enum MQSeriesConnectionType

extends Enum<MQSeriesConnectionType>

Enum Constant Summary
`Bindings`
`TCP`

Method Summary
`static MQSeriesConnectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MQSeriesConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TCP

    public static final MQSeriesConnectionType TCP

### Bindings

    public static final MQSeriesConnectionType Bindings

Method Detail

### values

    public static final MQSeriesConnectionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MQSeriesConnectionType c : MQSeriesConnectionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MQSeriesConnectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD